Create Sales Order File
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"fileData": "aSDinaTvuI8gbWludGxpZnk=",
"fileDataType": "<string>",
"fileName": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files"
payload = {
"fileData": "aSDinaTvuI8gbWludGxpZnk=",
"fileDataType": "<string>",
"fileName": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
fileData: 'aSDinaTvuI8gbWludGxpZnk=',
fileDataType: '<string>',
fileName: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fileData' => 'aSDinaTvuI8gbWludGxpZnk=',
'fileDataType' => '<string>',
'fileName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files"
payload := strings.NewReader("{\n \"fileData\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"fileDataType\": \"<string>\",\n \"fileName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fileData\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"fileDataType\": \"<string>\",\n \"fileName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fileData\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"fileDataType\": \"<string>\",\n \"fileName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"fileId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"fileDataType": "<string>",
"size": 123,
"createdAt": "2023-11-07T05:31:56Z",
"fileName": "<string>"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Sales Order
Create Sales Order File
deprecated
Creates a new file for a specific sales order. Deprecated: this endpoint dates from V1 and transfers the file content inside the request. Files should be uploaded to blob storage with the upload credentials of the file API and registered at the sales order via their metadata.
POST
/
v2
/
sales-orders
/
{salesOrderId}
/
files
Create Sales Order File
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"fileData": "aSDinaTvuI8gbWludGxpZnk=",
"fileDataType": "<string>",
"fileName": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files"
payload = {
"fileData": "aSDinaTvuI8gbWludGxpZnk=",
"fileDataType": "<string>",
"fileName": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
fileData: 'aSDinaTvuI8gbWludGxpZnk=',
fileDataType: '<string>',
fileName: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fileData' => 'aSDinaTvuI8gbWludGxpZnk=',
'fileDataType' => '<string>',
'fileName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files"
payload := strings.NewReader("{\n \"fileData\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"fileDataType\": \"<string>\",\n \"fileName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fileData\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"fileDataType\": \"<string>\",\n \"fileName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fileData\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"fileDataType\": \"<string>\",\n \"fileName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"fileId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"fileDataType": "<string>",
"size": 123,
"createdAt": "2023-11-07T05:31:56Z",
"fileName": "<string>"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Headers
Path Parameters
Body
application/json
The file to create.
Response
The created file.
Model Class: SalesOrderFile
Was this page helpful?